<?php


use Illuminate\Support\Facades\Route;
use Mehrab\OrderService\Http\Controllers\ExpertOrderServiceController;
use Mehrab\OrderService\Http\Controllers\OperatorOrderServiceController;
use Mehrab\OrderService\Http\Controllers\OrderServiceController;
use Mehrab\OrderService\Http\Controllers\OrderServiceFrontController;
use Mehrab\OrderService\Http\Controllers\TeamLeaderOrderServiceController;


//backend service orders routes
Route::group(
    get_information_for_admin_panel_route_group()
    , function () {
    Route::post('/order_service/failed_order_by_expert/{order_service}', [ExpertOrderServiceController::class, 'failed_order_by_expert'])->name('failed_order_by_expert');
    Route::post('/order_service/not_agreement_with_customer/{order_service}', [ExpertOrderServiceController::class, 'not_agreement_with_customer'])->name('not_agreement_with_customer');
    Route::post('/order_service/start_work/{order_service}', [ExpertOrderServiceController::class, 'start_work'])->name('start_work');
    Route::post('/order_service/accept_by_expert/{order_service}', [ExpertOrderServiceController::class, 'accept_by_expert'])->name('accept_by_expert');
    Route::get('/order_service/end_work_index/{order_service}', [ExpertOrderServiceController::class, 'end_work_index'])->name('end_work_index');
    Route::post('/order_service/end_work_order_by_expert/{order_service}', [ExpertOrderServiceController::class, 'end_work_order_by_expert'])->name('end_work_order_by_expert');
    Route::post('/order_service/end_work_order_by_expert_and_set_factor/{order_service}', [ExpertOrderServiceController::class, 'end_work_order_by_expert_and_set_factor'])->name('end_work_order_by_expert_and_set_factor');
    Route::get('/order_service/send_to_supporter_set_factor/{order_service}', [ExpertOrderServiceController::class, 'send_to_supporter_set_factor'])->name('send_to_supporter_set_factor');
    Route::post('/order_service/send_to_supporter_set_factor/{order_service}', [ExpertOrderServiceController::class, 'send_to_supporter_set_factor'])->name('send_to_supporter_set_factor');
});



